Skip to content

Prerequisites

This section covers:

PAM Server upgrade prerequisites

Before starting your upgrade make sure the following prerequisites are met:

Prerequisite Description
Hardware & Software Ensure the correct resources are available before deploying. The following outlines the hardware and software requirements.

Prerequisites
Licencing
(Backup/restore upgrade only)
A valid license file will be required during the system configuration step. If you don't have a license file contact Osirium.
Ports Ensure TCP ports 443 and 9002 are open as they are required for the client-side and PAM UI.

TCP 2380 (etcd, i.e. key-value store), 2390 (cluster setup API), 2391 (cluster delegation API), 5432 (postgres, i.e. database)

For a full list of ports used by the PAM Server click here.

Software packages downloaded Download the latest PAM Server software release package for deployment into your infrastructure.

To download the latest PAM Server software, click here
To download the latest PAM Server upgrade kit, click here.

NOTE: SHA256 checksum is available to verify the integrity of the download.

Master Encryption Key
(Backup/restore upgrade only)
Ensure you have the Master Encryption Key (MEK) of the current PAM Server leader node.
Recent backup Ensure you have a recent backup of all your nodes (leader and followers).
No active user connections Ensure there are no active user connections.
Regenerate Account Credentials for all devices task is disabled Within the Admin Interface, disable all scheduled Regenerate Account Credentials for all devices tasks.
Osirium Support account is enabled
(Inline upgrade only)
Ensure the Osirium Support account has been enabled.

Software packages and downloads

To download the latest PAM Server software release package for deployment into your infrastructure, click here.

A SHA256 checksum is available to verify the download integrity.

Note

The transfer mode must be set to binary.

Downloading the upgrade kit

The PAM Server is upgraded using the upgrade kit binary file.

To download the latest PAM Server upgrade kit:

  • Go to the PAM Server page of the Software Releases page.

  • Scroll down to the Upgrading existing appliances section and from the table download the latest upgrade binary file.

  • A SHA256 checksum is available to verify the download integrity.

  • Depending on the version you are upgrading from you may also require an earlier version. If this is the case please contact Osirium Support.

Note

The transfer mode must be set to binary.

Enabling the Osirium Support account

If the PAM Server support account has NOT already been enabled and a password set then this MUST be done on all nodes as the account is required to run the upgrade.

  1. Log into the the PAM UI as a SuperAdmin.

  2. Open the Admin Interface browser window.

  3. On the left-hand menu, click System configuration. The System configuration page opens.

  4. Within the System configuration, click the System settings tab.

  5. On the table, locate Support account and click the Edit pencil icon. The Edit entry window opens.

  6. Within the Edit entry window, enter a password to be assigned to the support account and check the Enabled checkbox.

    Edit entry window

  7. Click Save. The support account password is set and user account is enabled.

  8. Close the Admin Interface and log out of the PAM UI.